Subject: bug#857: slim 1.4.1 auto_login window bug

From: tempforever <[email-masked]>
Date: Sat, 24 Aug 2024 20:14:09 -0400

Package: slim
Version: 1.4.1-1devuan1

devuan: excalibur

/etc/slim.conf setting:
auto_login yes

Upon slim start / auto login, a blank window is created, filling up the
desktop screen.  This does not happen with auto_login disabled.  I found
the issue in panel.cpp, the end of the file:

|// As we're only using one monitor, which is only part of the root
window, // replace Root with a viewport window Root =
XCreateSimpleWindow ( Dpy, RealRoot, result.x, result.y, result.width,
result.height, 0, 0, 0); XMapWindow(Dpy, Root); XFlush(Dpy); If those
lines are commented out, the blank window is not created even with
auto_login enabled. I don't know if that will cause a different issue,
though. I only have 1 monitor on that computer for now, I have not
tested with multiple monitors. Maybe someone who actually knows what
they are doing can fix this? |